﻿/* Search Page Styles */
.mdgov-masthead {
    display: none !important;
}

.mdgov-entNav__btn {
    display: none !important;
}

.search-header-bg {
    position: absolute;
    top: 0;
    left: 0;
    height: 205px;
    width: 100%;
    background-color: #C8122C;
    -webkit-clip-path: polygon(0 0, 100% 0, 100% 24%, 80% 100%, 0 100%);
    z-index: 0
}

.search-header {
    position: relative;
    top: 0;
    left: 0;
    height: 205px;
    width: 100%;
    z-index: 1000;
}

    .search-header .sr-searchBox {
        display: flex;
        height: 86px;
        background-color: rgba(0,0,0,0.8);
        align-items: center;
        padding: 0 20px;
    }

    .search-header .sr-back {
        height: 50px;
        width: 50px;
        color: #666869;
        border-right: 1px solid #ECECEC;
        background-color: #ffffff;
        display: flex;
        justify-content: center;
        align-items: center;
    }

        .search-header .sr-back i {
            font-size: 20px;
            font-weight: 600;
        }

        .search-header .sr-back:hover {
            cursor: pointer;
            background-color: #E3E3E3;
            text-decoration: none;
        }

    .search-header .sr-searchBox .ms-webpart-zone {
        display: inline-block;
        line-height: 0px;
    }

    .search-header .sr-searchBox .ms-webpartzone-cell {
        margin: 0px;
    }

    .search-header .sr-searchBox #SearchBox {
        width: 100%;
    }

    .search-header .sr-searchBox .ms-srch-sbLarge {
        width: 100%;
        background-color: #fcfcfc;
    }

    .search-header .sr-searchBox input {
        height: 50px;
        margin: 0px;
        padding: 15px;
        font-size: 16px;
        font-family: "Montserrat",sans-serif;
        color: #707070;
        font-weight: 600;
        width: calc(100% - 50px);
        border: none;
        -webkit-appearance: searchfield;
    }

        .search-header .sr-searchBox input::-webkit-search-cancel-button {
            /*-webkit-appearance: searchfield-cancel-button;*/
            -webkit-appearance: none;
            position: relative;
            right: -15px;
            height: 25px;
            width: 20px;
            content: '\f00d';
            font-family: 'Font Awesome 5 Pro';
            font-size: 20px;
            background: url(https://pro.fontawesome.com/releases/v5.10.0/svgs/solid/times.svg) no-repeat 50% 50%;
            background-size: contain;
            opacity: 0.6;
        }

            .search-header .sr-searchBox input::-webkit-search-cancel-button:before {
                content: '\f00d';
                font-family: 'Font Awesome 5 Pro';
            }

    .search-header .sr-searchBox .ms-srch-sb-searchLink {
        height: 50px;
        width: 50px;
        display: flex;
        align-items: center;
        justify-content: center;
        background: transparent;
    }

        .search-header .sr-searchBox .ms-srch-sb-searchLink:hover {
            text-decoration: none;
            background-color: #E3E3E3;
        }

        .search-header .sr-searchBox .ms-srch-sb-searchLink:before {
            font-size: 20px;
            font-weight: normal;
        }

        .search-header .sr-searchBox .ms-srch-sb-searchLink img {
            display: none;
        }

    .search-header .sr-searchTitle {
        color: #fcfcfc;
        font-size: 32px;
        font-family: "Montserrat",sans-serif;
        font-weight: 600;
        text-transform: uppercase;
        margin-left: 49px;
        display: flex;
        align-items: center;
        height: 119px;
    }

/* Search Verticles Styles */
.sr-searchVerticals {
    background-color: #FCFDFF;
    border-left: 1px solid rgba(0,0,0,0.1);
    box-shadow: 6px 0px 6px -6px rgba(0,0,0,0.41);
}

.ms-srchnav-list li {
    padding: 20px;
    border-bottom: 1px solid rgba(0,0,0,0.1);
    width: 100%;
    color: #000000;
    font-family: "Montserrat", sans-serif;
}

    .ms-srchnav-list li h2 {
        font-size: 16px !important;
    }

        .ms-srchnav-list li h2 a.ms-srchnav-link {
            color: #000000;
            font-weight: normal;
        }

        .ms-srchnav-list li h2 a.ms-srchnav-link-selected {
            font-weight: 600;
            color: #C8122C !important;
        }

        .ms-srchnav-list li h2 a.ms-srchnav-link:hover {
            color: #C8122C;
        }

/* Search Text */
.sr-searchText {
    display: none;
    margin-bottom: 50px;
    font-family: "Montserrat", sans-serif;
}
    .sr-searchText .sr-help p {
        font-weight: 600;
        margin-bottom: 1rem;
    }

#mdgovMain .sr-searchText a {
    color: #C8122C !important;
}


/* Search Results */
.ms-srch-bestBetItem,
.ms-srch-item {
    width: 75%;
    margin-bottom: 35px;
    margin-right: 0px;
}

    .ms-srch-item:hover {
        background: transparent;
    }

.ms-srch-bestBetItem .ms-srch-item-body,
.ms-srch-item .ms-srch-item-body {
    display: flex;
    flex-direction: column;
}

    .ms-srch-bestBetItem .ms-srch-item-body .ms-srch-item-title a:before {
        content: '\f00c';
        font-family: 'Font Awesome 5 Pro';
        color: #C8122C;
        margin-right: 10px;
    }

        .ms-srch-bestBetItem .ms-srch-item-body .ms-srch-item-icon,
        .ms-srch-bestBetItem .ms-srch-item-body .ms-srch-bestBetItem-icon,
        .ms-srch-item .ms-srch-item-body .ms-srch-item-icon {
            display: none;
        }

        .ms-srch-bestBetItem .ms-srch-item-body .ms-srch-item-path,
        .ms-srch-item .ms-srch-item-body .ms-srch-item-path {
            max-width: 100%;
            white-space: normal;
            word-break: break-word;
        }

.ms-srch-ellipsis {
    white-space: normal;
    margin-bottom: 0px;
}

#mdgovMain .ms-srch-bestBetItem .ms-srch-item-body .ms-srch-item-title a.ms-srch-item-link,
#mdgovMain .ms-srch-item .ms-srch-item-body .ms-srch-item-title a.ms-srch-item-link {
    font-size: 18px;
    line-height: 25px;
    font-weight: 600;
    font-family: "Montserrat", sans-serif;
    color: #C8122C !important;
    order: 0;
}

.ms-srch-bestBetItem .ms-srch-item-body .ms-srch-item-path,
.ms-srch-item .ms-srch-item-body .ms-srch-item-path {
    font-size: 16px;
    line-height: 25px;
    font-weight: normal;
    font-family: "Montserrat", sans-serif;
    color: #267BA3;
    order: 1;
}
.ms-srch-bestBetItem .ms-srch-item-body .ms-srch-item-summary,
.ms-srch-item .ms-srch-item-body .ms-srch-item-summary {
    font-size: 16px;
    line-height: 25px;
    font-weight: normal;
    font-family: "Montserrat", sans-serif;
    color: #1E1E1E;
    order: 2
}

.ms-srch-bestBetItem .ms-srch-hover-outerContainer,
.ms-srch-item .ms-srch-hover-outerContainer {
    display: none !important;
}

/* Search Paging Styles */
.ms-srch-result .ms-srch-Paging {
    display: flex;
    flex-direction: row;
}

.ms-srch-result a {
    color: #C8122C !important;
}

#mdgovMain .ms-srch-result .ms-srch-Paging li {
    height: 35px;
    width: 38px;
}

    #mdgovMain .ms-srch-result .ms-srch-Paging li:first-child a {
        border-left: 1px solid #ADACAC;
    }

    #mdgovMain .ms-srch-result .ms-srch-Paging li a {
        display: flex;
        justify-content: center;
        align-items: center;
        font-family: "Montserrat", sans-serif;
        font-size: 16px;
        font-weight: normal;
        color: #575757 !important;
        padding: 0px;
        position: inherit;
        top: auto;
        height: 100%;
        width: 100%;
        border: 1px solid #ADACAC;
        border-left: none;
    }


.ms-srch-Paging li:first-child a {
    border-radius: 4px 0 0 4px;
}

.ms-srch-Paging li:last-child a {
    border-radius: 0 4px 4px 0;
}

#mdgovMain .ms-srch-Paging #PagingImageLink {
    width: 30px;
}

.ms-srch-Paging #PagingImageLink a {
    border: none;
}

.ms-srch-Paging #PagingImageLink .ms-promlink-button-image {
    display: none;
}

.ms-srch-Paging #PagingImageLink:first-child a:before {
    content: "\f053";
    font-family: "Font Awesome 5 Pro";
    font-weight: 600;
}

.ms-srch-Paging #PagingImageLink:last-child a:before {
    content: "\f054";
    font-family: "Font Awesome 5 Pro";
    font-weight: 600;
}

.ms-srch-Paging #PagingSelf a {
    background-color: rgba(200,18,44,0.2);
}

@media screen and (max-width: 1199.98px) {
    .ms-srch-bestBetItem,
    .ms-srch-item {
        width: 100%;
    }
}

@media screen and (max-width: 991.98px) {
    .search-header-bg {
        -webkit-clip-path: none;
    }

    .mdgov-sectionNav__heading {
        display: block;
    }

    .mdgov-sectionNav__content {
        display: block !important;
        height: auto !important;
        visibility: visible;
    }

    .collapse:not(.show) {
        display: none !important;
    }

    .sr-searchVerticals {
        border-left: none;
        box-shadow: none;
        background-color: #e9ecef;
    }

    .ms-srch-bestBetItem,
    .ms-srch-item {
        margin-bottom: 15px;
    }
}

@media screen and (min-width: 992px) {
    .mdgov-sectionNav__heading {
        display: none;
    }

    .mdgov-sectionNav__content {
        display: block !important;
        height: auto !important;
        visibility: visible;
    }
}
